package com.android.imamotive;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

import android.os.Environment;
import android.util.Log;

public class FileClass {
	//Tout les fichiers textes seront inscrit localiser au mme endroit
	static String repertoire = "Projet_Tshirt";
	
	public	static void	ecrireFichierE(String nomFichier, String monText) 
	{
		File monFichier;
		Boolean success = true;
		
		File dir = new File(Environment.getExternalStorageDirectory()+File.separator+repertoire);
				
		if(!dir.exists()){
			success = dir.mkdir();
			// 	On cre le rpertoire s'il n'existe pas
		}
		// Dclaration de lobjet fichier new file
		monFichier = new File(dir, nomFichier);
			
		if (!success) {
			Log.i("repertoire Interne", monFichier.getAbsolutePath());
		} 
		Log.i("repertoire Interne", monFichier.getAbsolutePath());
		BufferedWriter writer =	null; 
		
		//Ecriture du fichier
		try{
			FileWriter out = new FileWriter(monFichier, true);
			writer = new BufferedWriter(out);			
			writer.append(monText + "\n");
		}catch(Exception e) {
			e.printStackTrace();
		}
		finally {
			if(writer != null) {
				try{	
					writer.close();
				}
				catch(IOException e) {
					e.printStackTrace();
				}
			}
		} 
	} 
		
public static int countLineFichierE(String nomFichier) {
		int nbLine=0;
		
		File sdLien = Environment.getExternalStorageDirectory();
		File monFichier = new File(sdLien + File.separator + repertoire	+ File.separator + nomFichier);
		Log.d("Fichier SD",	"path de fichier:"	+ monFichier);
		if(!monFichier.exists()) {
			throw new RuntimeException("Fichier innxistant dur la carte sd");
		}
		BufferedReader reader =	null;
		try	{
				reader = new BufferedReader(new	FileReader(monFichier));
				
				 while (reader.readLine() != null) {
					nbLine++;
				}
				
		}catch(Exception e) {
			e.printStackTrace();
		}
	finally	{
		if (reader != null) {
			try{
				reader.close();
			}catch(IOException e) {
				e.printStackTrace();
			}
		}
	}
		return nbLine;
	}

public static String[] lireFichierE(String nomFichier) {
	int tailleFichier = countLineFichierE(nomFichier);
	String[] monText = new String[tailleFichier];
	String line ="";
	File sdLien = Environment.getExternalStorageDirectory();
	File monFichier = new File(sdLien + File.separator + repertoire	+ File.separator + nomFichier);
	Log.d("Fichier SD",	"path de fichier:"	+ monFichier);
	if(!monFichier.exists()) {
		throw new RuntimeException("Fichier innxistant dur la carte sd");
	}
	BufferedReader reader =	null;
	try	{
			reader = new BufferedReader(new	FileReader(monFichier));
			int i=0;
			 while ((line = reader.readLine()) != null) {
				monText[i]=line;
				//Log.i("FileClass","Ligne " + i + ": " + monText[i]);
				i++;
			}			
	}catch(Exception e) {
		e.printStackTrace();
	}
finally	{
	if (reader != null) {
		try{
			reader.close();
		}catch(IOException e) {
			e.printStackTrace();
		}
	}
}
	return monText;
}

 public static File[] recupFichiers(){
	 File dir = new File(Environment.getExternalStorageDirectory()+File.separator+"Projet_Tshirt");
	if(!dir.exists()){
			dir.mkdir();
			// 	On cre le rpertoire s'il n'existe pas
			Log.i("Pas de repertoire", "Pas de repertoire");
		}
	return dir.listFiles();
} 
}
