package com.android.imamotive;

import java.io.File;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Set;

import android.app.AlertDialog;
import android.app.ListActivity;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.view.ActionMode;
import android.view.Menu;
import android.view.MenuInflater;
import android.widget.AbsListView.MultiChoiceModeListener;
import android.widget.AdapterView.OnItemLongClickListener;



public class Historic_Activity extends ListActivity  { 	
	File[] mesFichiers;
	ListView maListViewPerso;
	String idFichier;
	View alertDialogView;
	AlertDialog.Builder adb;		
    private SelectionAdapter mAdapter;
    Set<Integer> setPos;    
    int Taille;    	
	 
	@Override
	public void onCreate(Bundle savedInstanceState) {
	    super.onCreate(savedInstanceState);
	    
	    setContentView(R.layout.historiclayout);		    	   
		                   
        getActionBar().setDisplayHomeAsUpEnabled(true);
        getActionBar().setTitle("Votre historique");
        //On instancie notre layout en tant que View			
	    LayoutInflater factory = LayoutInflater.from(this);
        alertDialogView = factory.inflate(R.layout.alertdialogperso_2, null);
        
        //Cration de l'AlertDialog
        adb = new AlertDialog.Builder(this);
        //On affecte la vue personnalis que l'on a cre  notre AlertDialog	                
        //((ViewGroup) alertDialogView.getParent()).removeView(alertDialogView);        
        adb.setView(alertDialogView);
        //On donne un titre  l'AlertDialog
        adb.setTitle("Voulez vous vraiment supprimer le(s) fichier(s)?");	          
	    
        //On affecte un bouton "OK"  notre AlertDialog et on lui affecte un vnement
        adb.setPositiveButton("Oui", new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog, int which) {            	
            	Log.i("AlertDialog","OUI");            	
            	//On parcour toutes les postions slectionn  l'aide du tableau setPos
                for(int posItem:setPos)
                {
                	Log.i("Set",Integer.toString(posItem));                	
                	int i=0;	    
                	//Puis on parcour tout les fichiers
				    for(File monFichier : mesFichiers)
				    {	
				    	//Et on match si ce sont les mme positions
				    	if(i==posItem)
				    	{
				    		monFichier.delete();
				    	}
				    	i++;
				    }            	
                }            	            	
        	    onResume();            	
          } });
        
        //On cre un bouton "supprimer"  notre AlertDialog et on lui affecte un vnement
        adb.setNegativeButton("Non", new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog, int which) {
            //On ne fait rien
          } });                       
	}		
	@SuppressWarnings("unused")
	@Override
	public void onResume() {
		super.onResume();	        
		Log.i("TEST","On resume");
		//On rcupre les fichiers du dossier "Projet_Tshirt"       
		mesFichiers = FileClass.recupFichiers();
		Log.i("TEST","FileClass");
		
		//Pour trier le tableau de File:
		Arrays.sort(mesFichiers);
		
		Taille = 0;
		for(File monFichier : mesFichiers)
		{
			Taille++;
		}				
	    String[] donnee = new String[Taille];	    
	    int i = 0;	    
		for(File monFichier : mesFichiers)
		{	    		   	
			int id = i+1;
		   	String name = "Entrainement n" + id;
		   	String date = (monFichier.getName() != null) ? monFichier.getName().substring(0,monFichier.getName().indexOf('.')):""; //Enlve le ".txt"	
		   	Log.i("date",date);
		    String[] dateSplit;
		    dateSplit = date.split("_");
		    
		    date = dateSplit[2] + "/" + dateSplit[1] + "/" + dateSplit[0] + " " + dateSplit[3] + ":" + dateSplit[4] + ":" + dateSplit[5]; 
		    
		   	donnee[i] =  name + "\n"  + date;
		   	Log.i("Donne",donnee[i]);
		   	i++;
		}	       		
	    mAdapter = new SelectionAdapter(this,R.layout.ligne_list, R.id.textView1, donnee);
        setListAdapter(mAdapter);
        getListView().setChoiceMode(ListView.CHOICE_MODE_MULTIPLE_MODAL);
        
        getListView().setMultiChoiceModeListener(new MultiChoiceModeListener() {             
            private int nr = 0;             
            @Override
            public boolean onPrepareActionMode(ActionMode mode, Menu menu) {
            	Log.i("GetListView","ListView 1");
                // TODO Auto-generated method stub
                return false;
            }             
            @Override
            public void onDestroyActionMode(ActionMode mode) {
                // TODO Auto-generated method stub
            	Log.i("GetListView","ListView 2");
                 mAdapter.clearSelection();
            }             
            @Override
            public boolean onCreateActionMode(ActionMode mode, Menu menu) {
                // TODO Auto-generated method stub
            	Log.i("GetListView","ListView 3");
                nr = 0;
                MenuInflater inflater = getMenuInflater();
                inflater.inflate(R.menu.menuhistoric, menu);
                return true;
            }             
            @Override
            public boolean onActionItemClicked(ActionMode mode, MenuItem item) {
            	Log.i("GetListView","ListView 4");
                // TODO Auto-generated method stub
                switch (item.getItemId()) {                 
                    case R.id.item_delete:
                    	Log.i("Delete","delet item check");                    	
                    	//setPos.clear();
                        setPos = mAdapter.getCurrentCheckedPosition();                   
    	                adb.show();    	                
    	                if ((ViewGroup)alertDialogView.getParent() != null)
    	                {
    	                	
    	                	((ViewGroup)alertDialogView.getParent()).removeView(alertDialogView);
    	                }	  
    	                nr = 0;
                        mAdapter.clearSelection();
                        mode.finish();        	    		
                }
				return false;
            }             
            @Override
            public void onItemCheckedStateChanged(ActionMode mode, int position,
                    long id, boolean checked) {
            	Log.i("GetListView","ListView 5");
                // TODO Auto-generated method stub
                 if (checked) {
                        nr++;
                        mAdapter.setNewSelection(position, checked);                    
                    } else {
                        nr--;
                        mAdapter.removeSelection(position);                 
                    }
                    mode.setTitle(nr + " selected");            
            }
        });         
        getListView().setOnItemLongClickListener(new OnItemLongClickListener() { 
            @Override
            public boolean onItemLongClick(AdapterView<?> arg0, View arg1,
                    int position, long arg3) {
                // TODO Auto-generated method stub
                 
                getListView().setItemChecked(position, !mAdapter.isPositionChecked(position));
                return false;
            }
        });
        getListView().setOnItemClickListener(new OnItemClickListener(){
	    	@Override
	    	public void onItemClick(AdapterView<?> a, View v, int position, long id) {	    		
	    		Log.i("OnClick",(String) getListView().getItemAtPosition(position));
	    		//on rcupre la HashMap contenant les infos de notre item (titre, description, img)
	    		Long positionItem  = getListView().getItemIdAtPosition(position);				
				Log.i("OnClick", "i: " + Long.toString(positionItem));								
			    int i=0;
			    String iden;			    
			    for(File monFichier : mesFichiers)
			    {	
			    	if(i==positionItem)
			    	{				    		
			    		iden = monFichier.getName();
			    		Intent secondeActivite = new Intent(Historic_Activity.this, Stat_Activity.class);
			    		//Envoie du nom du fichier en paramtre
			    		secondeActivite.putExtra(Stat_Activity.EXTRAS_ID_FILE, iden);
			    		startActivity(secondeActivite);			    	
			    	}
			    	i++;
			    }					        
	        }
	    });	       	    	    	  
	}		
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch(item.getItemId()) {
            case android.R.id.home:
                onBackPressed();
                return true;
        }
        return super.onOptionsItemSelected(item);
    }		                   
    private class SelectionAdapter extends ArrayAdapter<String> {    	 
        private HashMap<Integer, Boolean> mSelection = new HashMap<Integer, Boolean>();
 
        public SelectionAdapter(Context context, int resource, int textViewResourceId, String[] objects) {
            super(context, resource, textViewResourceId, objects);
        } 
        public void setNewSelection(int position, boolean value) {
            mSelection.put(position, value);
            Log.i("setNewSelection", Integer.toString(position));
            notifyDataSetChanged();
        } 
        public boolean isPositionChecked(int position) {
            Boolean result = mSelection.get(position);
            return result == null ? false : result;
        }
        public Set<Integer> getCurrentCheckedPosition() {
            return mSelection.keySet();
        }
        public void removeSelection(int position) {
            mSelection.remove(position);
            notifyDataSetChanged();
        } 
        public void clearSelection() {
            mSelection = new HashMap<Integer, Boolean>();
            notifyDataSetChanged();
        } 
        @Override
        public View getView(int position, View convertView, ViewGroup parent) {
            View v = super.getView(position, convertView, parent);//let the adapter handle setting up the row views
            v.setBackgroundColor(getResources().getColor(android.R.color.background_light)); //default color
             
            if (mSelection.get(position) != null) {
                v.setBackgroundColor(getResources().getColor(android.R.color.holo_blue_light));// this is a selected position so make it red
            }
            return v;
        }
    }    
}